Bug 24402 - Some roles missing from about page
Summary: Some roles missing from about page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-11 11:41 UTC by Katrin Fischer
Modified: 2020-04-03 17:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05


Attachments
Bug 24402: About template corrections (2.80 KB, patch)
2020-03-08 08:42 UTC, Martin Renvoize
Details | Diff | Splinter Review
Screenshot of 19.11 (175.19 KB, image/png)
2020-03-08 08:50 UTC, Martin Renvoize
Details
Screenshot of 19.12 (20.05 Development Version) (113.15 KB, image/png)
2020-03-08 08:52 UTC, Martin Renvoize
Details
Bug 24402: About template corrections (2.85 KB, patch)
2020-03-10 21:08 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 24402: About template corrections (2.91 KB, patch)
2020-03-15 14:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-01-11 11:41:36 UTC
When checking the about page, some roles are missing from the current maintenance team listing:


Current maintenance team

    This is the team who are responsible for the next release of Koha and the ongoing maintenance of your currently installed Koha version. They will be in these roles up until 22.05.2020, when the next team will be elected.
    Release maintainer:
    Quality assurance manager: Katrin Fischer
    Quality assurance team:
        Jonathan Druart
        Marcel de Rooy
        Joonas Kylmälä
        Josef Moravec
        Tomás Cohen Arazi
        Nick Clemens
        Kyle Hall
    Documentation manager:
    Documentation team:
        Donna Bachowski
        Lucy Vaux-Harvey
        Sugandha Bajaj
    Packaging manager:
    Jenkins maintainers:
        Tomás Cohen Arazi
        Jonathan Druart
        Martin Renvoize 
    Bug wranglers:
        Michal Denár
        Cori Lynn Arnold
        Lisette Scheer
        Amit Gupta
    Release manager: Martin Renvoize
    Release manager assistants:
        Tomás Cohen Arazi
        Jonathan Druart


Missing: Documentation manager, Release maintainers, Packaging manager
Comment 1 Martin Renvoize 2020-02-17 16:07:44 UTC
Aha.. it's because their arrays as opposed to singles.. thanks.

I'll take a look later today.
Comment 2 Martin Renvoize 2020-03-08 08:42:01 UTC
Created attachment 100310 [details] [review]
Bug 24402: About template corrections

With the 20.05 team we introduced and expanded some roles.  This patch
adds support for:

* removal of the release maintainer for development releases
* a list of documentation managers
* a list of packaging manager
Comment 3 Martin Renvoize 2020-03-08 08:50:31 UTC
Created attachment 100311 [details]
Screenshot of 19.11
Comment 4 Martin Renvoize 2020-03-08 08:52:08 UTC
Created attachment 100312 [details]
Screenshot of 19.12 (20.05 Development Version)
Comment 5 Martin Renvoize 2020-03-08 08:52:51 UTC
This patch needs testing in both 19.11 and master as the resultant output is different between the two.. screenshots included to show results as I see them.
Comment 6 Martin Renvoize 2020-03-08 08:54:47 UTC
The patch corrects the behaviour for documentation and packaging roles, which both change from a single field to an array with the creation of the 20.05 team.

It also removes the 'Release maintainer' title from the 'Current team' block when we are 'in development' as at this stage there is not release maintainer for the branch (it's in development, so the responsibility lies with the release manager)
Comment 7 Michal Denar 2020-03-10 21:08:59 UTC
Created attachment 100484 [details] [review]
Bug 24402: About template corrections

With the 20.05 team we introduced and expanded some roles.  This patch
adds support for:

* removal of the release maintainer for development releases
* a list of documentation managers
* a list of packaging manager

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 8 Jonathan Druart 2020-03-11 15:38:26 UTC
Why not "release manager" at the top?
Comment 9 Martin Renvoize 2020-03-11 16:40:28 UTC
(In reply to Jonathan Druart from comment #8)
> Why not "release manager" at the top?

At the time when we first added the two column approach I felt the most important person on the 'Maintanence team' side was the current RMaint for the version you are running.. hence swapping the order of rmaints vs rms in the two teams.. that's much clearer in a 'stable' release than in the 'development' stage though..

Happy to change it if people feel there is a better order?
Comment 10 Jonathan Druart 2020-03-11 17:19:26 UTC
(In reply to Martin Renvoize from comment #9)
> (In reply to Jonathan Druart from comment #8)
> > Why not "release manager" at the top?
> 
> At the time when we first added the two column approach I felt the most
> important person on the 'Maintanence team' side was the current RMaint for
> the version you are running.. hence swapping the order of rmaints vs rms in
> the two teams.. that's much clearer in a 'stable' release than in the
> 'development' stage though..
> 
> Happy to change it if people feel there is a better order?

First should be the one you blame if you face issues, so RM ;)

Rmaint should stay first for stable, I agree.
Comment 11 Katrin Fischer 2020-03-15 14:11:56 UTC
Created attachment 100699 [details] [review]
Bug 24402: About template corrections

With the 20.05 team we introduced and expanded some roles.  This patch
adds support for:

* removal of the release maintainer for development releases
* a list of documentation managers
* a list of packaging manager

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Jonathan Druart 2020-03-15 16:50:02 UTC
What about comment 10, Katrin?
Comment 13 Katrin Fischer 2020-03-15 16:54:20 UTC
(In reply to Jonathan Druart from comment #12)
> What about comment 10, Katrin?

I think it feels like a separate issue to me - the order is not changed in this bug, if I see it correctly. I think having the maints on top makes sense to me.
Comment 14 Martin Renvoize 2020-03-16 11:03:18 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 15 Joy Nelson 2020-04-03 17:36:47 UTC
Backported to 19.11.x branch for 19.11.05